# Class GetVersionRequest

#### Hierarchy

- unknown
  - GetVersionRequest

- Defined in src/protobuf/grpc_pb.d.ts:42
- Defined in src/protobuf/grpc_pb.d.ts:51

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetVersionRequest(): GetVersionRequest

- #### Returns GetVersionRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:43

### toObject

- toObject(includeInstance?: boolean): GetVersionRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetVersionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:44

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetVersionRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetVersionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:47

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetVersionRequest, reader: BinaryReader): GetVersionRequest

- #### Parameters

  - ##### message: GetVersionRequest

  - ##### reader: BinaryReader

  #### Returns GetVersionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:48

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetVersionRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetVersionRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:46

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetVersionRequest): GetVersionRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetVersionRequest

  #### Returns GetVersionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:45

Generated using TypeDoc